package cn.superdesk.uniorder.dubbo.facade.marketing.department;

import cn.superdesk.uniorder.dao.entity.marketing.department.UnifiedAreaCity;
import cn.superdesk.uniorder.dao.entity.marketing.department.UnifiedAreaCityVirt;
import cn.superdesk.uniorder.common.security.dto.LoginSysUser;
import cn.superdesk.uniorder.dto.vo._function.select.SelectOptionAreaItem;
import cn.superdesk.uniorder.dto.vo._function.select.SelectOptionVirt;
import cn.superdesk.uniorder.dto.vo.marketing.department.*;

import java.util.List;
import java.util.Map;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2020/11/24 上午11:58
 * @UpdateUser: linjinyu
 * @UpdateDate: 2020/11/24 上午11:58
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface DubboUnifiedAreaService {


	List<UnifiedAreaWeb> getweb(Map<String, Object> params);

	Map<String, Object> addNew(UnifiedAreaParam param, LoginSysUser loginSysUser);

	Map<String, Object> updateNew(UnifiedAreaParam param, LoginSysUser loginSysUser);

	List<UnifiedAreaCityTargetVo> getAreaCityTargetAll(Map<String, Object> params);

	List<SelectOptionVirt> getVirtNotInArea(Map<String, Object> params);

	void updateAreaVirt(Long areaItemId, Long virtId, String type);

	void delItemTran(Long areaItemId);

	List<SelectOptionAreaItem> findAreaItemSelect(Map<String, Object> params);

	List<UnifiedAreaTJ> getareatj(Map<String, Object> params);

	UnifiedAreaCityWithVirt getAreaDetailByVirtId(Long virtId);

	List<UnifiedAreaCity> findAll(Map<String, Object> queryMap);

	UnifiedAreaCity addObj(UnifiedAreaCity areaCityAdd);

	void addAreaVirt(UnifiedAreaCityVirt addareaCityVirt);
}
